Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231431 - RFE: phpMyAdmin should also provides phpmyadmin and some notes
Summary: RFE: phpMyAdmin should also provides phpmyadmin and some notes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: phpMyAdmin
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 07:12 UTC by Remi Collet
Modified: 2007-12-10 20:47 UTC (History)
1 user (show)

Fixed In Version: 2.11.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-10 20:44:52 UTC


Attachments (Terms of Use)

Description Remi Collet 2007-03-08 07:12:30 UTC
Doing a lot of support, i notice that a lot of users don't find phpMyAdmin
because of the uppercase used in the name.

Providing phpmyadmin is really simple and solve the issue.

You could also add a second Alias in the /etc/httpd/conf.d/phpMyAdmin.conf

Alias /phpMyAdmin /usr/share/phpMyAdmin
Alias /phpmyadmin /usr/share/phpMyAdmin

In the /etc/phpMyAdmin/config.inc.php, all default values can be ommited.

Having a non world readable config file is also a better way for security as
this file can contains the password of the controluser.

Adding the change password option will be usefull.
$cfg['ShowChgPassword'] = TRUE;

Regards

Comment 1 Mike McGrath 2007-03-08 14:56:40 UTC
Good suggestions, I'll get on them soon.

Comment 2 Robert Scheck 2007-12-09 15:36:00 UTC
Setting

  $cfg['Servers'][$i]['ShowChgPassword'] = TRUE;

does not work - but it should, as this option can be used per server and not
only global. Thus I'm skipping this for now.

Comment 3 Fedora Update System 2007-12-10 20:44:49 UTC
phpMyAdmin-2.11.3-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-12-10 20:47:06 UTC
phpMyAdmin-2.11.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.